/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class ToRoleMemberDTOMapValue extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    memberId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    memberType?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    memberIdBelongOrgId?: number;
    avatar?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddRoleMemberHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddRoleMemberRequest extends $tea.Model {
    roleMemberList?: AddRoleMemberRequestRoleMemberList[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddRoleMemberResponseBody extends $tea.Model {
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddRoleMemberResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AddRoleMemberResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ChangeSwitchHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ChangeSwitchRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    value?: boolean;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ChangeSwitchResponseBody extends $tea.Model {
    /**
     * @example
     * true
     */
    enabled?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ChangeSwitchResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ChangeSwitchResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateFieldHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateFieldRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    name?: string;
    /**
     * @example
     * key: id或者name
     *     value: 对应字段值,不同类型的字段传入的value值不同
     *       - text: "TextString"          // 文本字符串
     *       - number: 123                 // 整数/浮点数均可
     *       - singleSelect: "optionIdxxx1" | "optionName1" // 单选选项Id/单选选项名
     *       - date: 1688601600000 ｜ "2023-12-20 03:00"
     *                                     // 支持传时间戳或ISO 8601字符串
     *       - user: [{
     *           uid: \"1234567\"            // 用户uid
     *         }, {
     *           uid: \"2345678\"
     *         }]
     */
    property?: {
        [key: string]: any;
    };
    /**
     * @remarks
     * This parameter is required.
     */
    type?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateFieldResponseBody extends $tea.Model {
    id?: string;
    name?: string;
    /**
     * @example
     * key: id或者name
     *     value: 对应字段值,不同类型的字段传入的value值不同
     *       - text: "TextString"          // 文本字符串
     *       - number: 123                 // 整数/浮点数均可
     *       - singleSelect: "optionIdxxx1" | "optionName1" // 单选选项Id/单选选项名
     *       - date: 1688601600000 ｜ "2023-12-20 03:00"
     *                                     // 支持传时间戳或ISO 8601字符串
     *       - user: [{
     *           uid: \"1234567\"            // 用户uid
     *         }, {
     *           uid: \"2345678\"
     *         }]
     */
    property?: {
        [key: string]: any;
    };
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateFieldResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateFieldResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateRoleHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateRoleRequest extends $tea.Model {
    flowType?: string;
    id?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    name?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    roleType?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    subRoles?: CreateRoleRequestSubRoles[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateRoleResponseBody extends $tea.Model {
    flowType?: string;
    id?: number;
    name?: string;
    roleType?: string;
    subRoles?: CreateRoleResponseBodySubRoles[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateRoleResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateRoleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSheetHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSheetRequest extends $tea.Model {
    fields?: CreateSheetRequestFields[];
    name?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSheetResponseBody extends $tea.Model {
    id?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSheetResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateSheetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteFieldHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteFieldRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteFieldResponseBody extends $tea.Model {
    /**
     * @example
     * true
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteFieldResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteFieldResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRecordsHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRecordsRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    recordIds?: string[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRecordsResponseBody extends $tea.Model {
    /**
     * @example
     * true
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRecordsResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteRecordsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRoleHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRoleRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    roleId?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRoleResponseBody extends $tea.Model {
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRoleResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteRoleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteSheetHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteSheetRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteSheetResponseBody extends $tea.Model {
    /**
     * @example
     * true
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteSheetResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteSheetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllFieldsHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllFieldsRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllFieldsResponseBody extends $tea.Model {
    value?: GetAllFieldsResponseBodyValue[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllFieldsResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetAllFieldsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllSheetsHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllSheetsRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllSheetsResponseBody extends $tea.Model {
    value?: GetAllSheetsResponseBodyValue[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllSheetsResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetAllSheetsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordResponseBody extends $tea.Model {
    createdBy?: GetRecordResponseBodyCreatedBy;
    createdTime?: number;
    fields?: {
        [key: string]: any;
    };
    id?: string;
    lastModifiedBy?: GetRecordResponseBodyLastModifiedBy;
    lastModifiedTime?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetRecordResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordsHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordsRequest extends $tea.Model {
    maxResults?: number;
    nextToken?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordsResponseBody extends $tea.Model {
    /**
     * @example
     * true
     */
    hasMore?: boolean;
    /**
     * @example
     * nextToken
     */
    nextToken?: string;
    records?: GetRecordsResponseBodyRecords[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordsResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetRecordsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSheetHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSheetRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSheetResponseBody extends $tea.Model {
    id?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSheetResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetSheetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSwitchHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSwitchRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSwitchResponseBody extends $tea.Model {
    /**
     * @example
     * true
     */
    enabled?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSwitchResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetSwitchResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetUserDocRolesHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetUserDocRolesRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetUserDocRolesResponseBody extends $tea.Model {
    enabled?: boolean;
    roles?: GetUserDocRolesResponseBodyRoles[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetUserDocRolesResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetUserDocRolesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InsertRecordsHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InsertRecordsRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    records?: InsertRecordsRequestRecords[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InsertRecordsResponseBody extends $tea.Model {
    value?: InsertRecordsResponseBodyValue[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InsertRecordsResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: InsertRecordsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsRequest extends $tea.Model {
    calcFields?: boolean;
    filter?: ListRecordsRequestFilter;
    maxResults?: number;
    nextToken?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsResponseBody extends $tea.Model {
    /**
     * @example
     * true
     */
    hasMore?: boolean;
    /**
     * @example
     * nextToken
     */
    nextToken?: string;
    records?: ListRecordsResponseBodyRecords[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListRecordsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class PrepareSetRichTextHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class PrepareSetRichTextRequest extends $tea.Model {
    markdown?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class PrepareSetRichTextResponseBody extends $tea.Model {
    markdown?: string;
    uploadInfos?: PrepareSetRichTextResponseBodyUploadInfos[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class PrepareSetRichTextResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: PrepareSetRichTextResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesResponseBody extends $tea.Model {
    allRoles?: QueryDocAllRolesResponseBodyAllRoles[];
    defaultRole?: QueryDocAllRolesResponseBodyDefaultRole;
    enabled?: boolean;
    systemRoles?: number[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryDocAllRolesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RebuildRoleMembersHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RebuildRoleMembersRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    defaultRoleDTO?: RebuildRoleMembersRequestDefaultRoleDTO;
    /**
     * @remarks
     * This parameter is required.
     */
    toRoleMemberDTOMap?: {
        [key: string]: ToRoleMemberDTOMapValue[];
    };
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RebuildRoleMembersResponseBody extends $tea.Model {
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RebuildRoleMembersResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RebuildRoleMembersResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateFieldHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateFieldRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    name?: string;
    /**
     * @example
     * key: id或者name
     *     value: 对应字段值,不同类型的字段传入的value值不同
     *       - text: "TextString"          // 文本字符串
     *       - number: 123                 // 整数/浮点数均可
     *       - singleSelect: "optionIdxxx1" | "optionName1" // 单选选项Id/单选选项名
     *       - date: 1688601600000 ｜ "2023-12-20 03:00"
     *                                     // 支持传时间戳或ISO 8601字符串
     *       - user: [{
     *           uid: \"1234567\"            // 用户uid
     *         }, {
     *           uid: \"2345678\"
     *         }]
     */
    property?: {
        [key: string]: any;
    };
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateFieldResponseBody extends $tea.Model {
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateFieldResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateFieldResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRecordsHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRecordsRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    records?: UpdateRecordsRequestRecords[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRecordsResponseBody extends $tea.Model {
    value?: UpdateRecordsResponseBodyValue[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRecordsResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateRecordsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRoleHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRoleRequest extends $tea.Model {
    flowType?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    id?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    name?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    roleType?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    subRoles?: UpdateRoleRequestSubRoles[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRoleResponseBody extends $tea.Model {
    flowType?: string;
    id?: number;
    name?: string;
    roleType?: string;
    subRoles?: UpdateRoleResponseBodySubRoles[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRoleResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateRoleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateSheetHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateSheetRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    name?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * union_id
     */
    operatorId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateSheetResponseBody extends $tea.Model {
    id?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateSheetResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateSheetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddRoleMemberRequestRoleMemberList extends $tea.Model {
    memberId?: string;
    memberIdBelongOrgId?: number;
    memberType?: string;
    roleId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateRoleRequestSubRoles extends $tea.Model {
    authLevel?: number;
    bizType?: number;
    config?: string;
    gmtCreate?: number;
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateRoleResponseBodySubRoles extends $tea.Model {
    authLevel?: number;
    bizType?: number;
    config?: string;
    gmtCreate?: number;
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSheetRequestFields extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    name?: string;
    /**
     * @example
     * key: id或者name
     *     value: 对应字段值,不同类型的字段传入的value值不同
     *       - text: "TextString"          // 文本字符串
     *       - number: 123                 // 整数/浮点数均可
     *       - singleSelect: "optionIdxxx1" | "optionName1" // 单选选项Id/单选选项名
     *       - date: 1688601600000 ｜ "2023-12-20 03:00"
     *                                     // 支持传时间戳或ISO 8601字符串
     *       - user: [{
     *           uid: \"1234567\"            // 用户uid
     *         }, {
     *           uid: \"2345678\"
     *         }]
     */
    property?: {
        [key: string]: any;
    };
    /**
     * @remarks
     * This parameter is required.
     */
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllFieldsResponseBodyValue extends $tea.Model {
    id?: string;
    name?: string;
    /**
     * @example
     * key: id或者name
     *     value: 对应字段值,不同类型的字段传入的value值不同
     *       - text: "TextString"          // 文本字符串
     *       - number: 123                 // 整数/浮点数均可
     *       - singleSelect: "optionIdxxx1" | "optionName1" // 单选选项Id/单选选项名
     *       - date: 1688601600000 ｜ "2023-12-20 03:00"
     *                                     // 支持传时间戳或ISO 8601字符串
     *       - user: [{
     *           uid: \"1234567\"            // 用户uid
     *         }, {
     *           uid: \"2345678\"
     *         }]
     */
    property?: {
        [key: string]: any;
    };
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAllSheetsResponseBodyValue extends $tea.Model {
    id?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordResponseBodyCreatedBy extends $tea.Model {
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordResponseBodyLastModifiedBy extends $tea.Model {
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordsResponseBodyRecordsCreatedBy extends $tea.Model {
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordsResponseBodyRecordsLastModifiedBy extends $tea.Model {
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetRecordsResponseBodyRecords extends $tea.Model {
    createdBy?: GetRecordsResponseBodyRecordsCreatedBy;
    createdTime?: number;
    fields?: {
        [key: string]: any;
    };
    id?: string;
    lastModifiedBy?: GetRecordsResponseBodyRecordsLastModifiedBy;
    lastModifiedTime?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetUserDocRolesResponseBodyRolesSubRoles extends $tea.Model {
    authLevel?: number;
    bizType?: number;
    config?: string;
    gmtCreate?: number;
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetUserDocRolesResponseBodyRoles extends $tea.Model {
    flowType?: string;
    id?: number;
    name?: string;
    roleType?: string;
    subRoles?: GetUserDocRolesResponseBodyRolesSubRoles[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InsertRecordsRequestRecords extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    fields?: {
        [key: string]: any;
    };
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InsertRecordsResponseBodyValue extends $tea.Model {
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsRequestFilterConditions extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    field?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    operator?: string;
    value?: any[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsRequestFilter extends $tea.Model {
    combination?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    conditions?: ListRecordsRequestFilterConditions[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsResponseBodyRecordsCreatedBy extends $tea.Model {
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsResponseBodyRecordsLastModifiedBy extends $tea.Model {
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListRecordsResponseBodyRecords extends $tea.Model {
    createdBy?: ListRecordsResponseBodyRecordsCreatedBy;
    createdTime?: number;
    fields?: {
        [key: string]: any;
    };
    id?: string;
    lastModifiedBy?: ListRecordsResponseBodyRecordsLastModifiedBy;
    lastModifiedTime?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class PrepareSetRichTextResponseBodyUploadInfos extends $tea.Model {
    resourceId?: string;
    resourceUrl?: string;
    uploadUrl?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesResponseBodyAllRolesMembers extends $tea.Model {
    avatar?: string;
    memberId?: string;
    memberIdBelongOrgId?: number;
    memberType?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesResponseBodyAllRolesRoleSubRoles extends $tea.Model {
    authLevel?: number;
    bizType?: number;
    config?: string;
    gmtCreate?: number;
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesResponseBodyAllRolesRole extends $tea.Model {
    flowType?: string;
    id?: number;
    name?: string;
    roleType?: string;
    subRoles?: QueryDocAllRolesResponseBodyAllRolesRoleSubRoles[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesResponseBodyAllRoles extends $tea.Model {
    members?: QueryDocAllRolesResponseBodyAllRolesMembers[];
    role?: QueryDocAllRolesResponseBodyAllRolesRole;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDocAllRolesResponseBodyDefaultRole extends $tea.Model {
    mode?: number;
    roleId?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RebuildRoleMembersRequestDefaultRoleDTO extends $tea.Model {
    mode?: number;
    roleId?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRecordsRequestRecords extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    fields?: {
        [key: string]: any;
    };
    /**
     * @remarks
     * This parameter is required.
     */
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRecordsResponseBodyValue extends $tea.Model {
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRoleRequestSubRoles extends $tea.Model {
    authLevel?: number;
    bizType?: number;
    config?: string;
    gmtCreate?: number;
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateRoleResponseBodySubRoles extends $tea.Model {
    authLevel?: number;
    bizType?: number;
    config?: string;
    gmtCreate?: number;
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 添加角色成员
     *
     * @param request - AddRoleMemberRequest
     * @param headers - AddRoleMemberHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AddRoleMemberResponse
     */
    addRoleMemberWithOptions(baseId: string, request: AddRoleMemberRequest, headers: AddRoleMemberHeaders, runtime: $Util.RuntimeOptions): Promise<AddRoleMemberResponse>;
    /**
     * 添加角色成员
     *
     * @param request - AddRoleMemberRequest
     * @returns AddRoleMemberResponse
     */
    addRoleMember(baseId: string, request: AddRoleMemberRequest): Promise<AddRoleMemberResponse>;
    /**
     * 修改高级权限设置开关
     *
     * @param request - ChangeSwitchRequest
     * @param headers - ChangeSwitchHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ChangeSwitchResponse
     */
    changeSwitchWithOptions(baseId: string, request: ChangeSwitchRequest, headers: ChangeSwitchHeaders, runtime: $Util.RuntimeOptions): Promise<ChangeSwitchResponse>;
    /**
     * 修改高级权限设置开关
     *
     * @param request - ChangeSwitchRequest
     * @returns ChangeSwitchResponse
     */
    changeSwitch(baseId: string, request: ChangeSwitchRequest): Promise<ChangeSwitchResponse>;
    /**
     * 新增数据表字段
     *
     * @param request - CreateFieldRequest
     * @param headers - CreateFieldHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns CreateFieldResponse
     */
    createFieldWithOptions(baseId: string, sheetIdOrName: string, request: CreateFieldRequest, headers: CreateFieldHeaders, runtime: $Util.RuntimeOptions): Promise<CreateFieldResponse>;
    /**
     * 新增数据表字段
     *
     * @param request - CreateFieldRequest
     * @returns CreateFieldResponse
     */
    createField(baseId: string, sheetIdOrName: string, request: CreateFieldRequest): Promise<CreateFieldResponse>;
    /**
     * 创建角色
     *
     * @param request - CreateRoleRequest
     * @param headers - CreateRoleHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns CreateRoleResponse
     */
    createRoleWithOptions(baseId: string, request: CreateRoleRequest, headers: CreateRoleHeaders, runtime: $Util.RuntimeOptions): Promise<CreateRoleResponse>;
    /**
     * 创建角色
     *
     * @param request - CreateRoleRequest
     * @returns CreateRoleResponse
     */
    createRole(baseId: string, request: CreateRoleRequest): Promise<CreateRoleResponse>;
    /**
     * 创建数据表
     *
     * @param request - CreateSheetRequest
     * @param headers - CreateSheetHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns CreateSheetResponse
     */
    createSheetWithOptions(baseId: string, request: CreateSheetRequest, headers: CreateSheetHeaders, runtime: $Util.RuntimeOptions): Promise<CreateSheetResponse>;
    /**
     * 创建数据表
     *
     * @param request - CreateSheetRequest
     * @returns CreateSheetResponse
     */
    createSheet(baseId: string, request: CreateSheetRequest): Promise<CreateSheetResponse>;
    /**
     * 删除数据表字段
     *
     * @param request - DeleteFieldRequest
     * @param headers - DeleteFieldHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DeleteFieldResponse
     */
    deleteFieldWithOptions(baseId: string, sheetIdOrName: string, fieldIdOrName: string, request: DeleteFieldRequest, headers: DeleteFieldHeaders, runtime: $Util.RuntimeOptions): Promise<DeleteFieldResponse>;
    /**
     * 删除数据表字段
     *
     * @param request - DeleteFieldRequest
     * @returns DeleteFieldResponse
     */
    deleteField(baseId: string, sheetIdOrName: string, fieldIdOrName: string, request: DeleteFieldRequest): Promise<DeleteFieldResponse>;
    /**
     * 删除数据表多行记录
     *
     * @param request - DeleteRecordsRequest
     * @param headers - DeleteRecordsHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DeleteRecordsResponse
     */
    deleteRecordsWithOptions(baseId: string, sheetIdOrName: string, request: DeleteRecordsRequest, headers: DeleteRecordsHeaders, runtime: $Util.RuntimeOptions): Promise<DeleteRecordsResponse>;
    /**
     * 删除数据表多行记录
     *
     * @param request - DeleteRecordsRequest
     * @returns DeleteRecordsResponse
     */
    deleteRecords(baseId: string, sheetIdOrName: string, request: DeleteRecordsRequest): Promise<DeleteRecordsResponse>;
    /**
     * 删除角色
     *
     * @param request - DeleteRoleRequest
     * @param headers - DeleteRoleHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DeleteRoleResponse
     */
    deleteRoleWithOptions(baseId: string, request: DeleteRoleRequest, headers: DeleteRoleHeaders, runtime: $Util.RuntimeOptions): Promise<DeleteRoleResponse>;
    /**
     * 删除角色
     *
     * @param request - DeleteRoleRequest
     * @returns DeleteRoleResponse
     */
    deleteRole(baseId: string, request: DeleteRoleRequest): Promise<DeleteRoleResponse>;
    /**
     * 删除数据表
     *
     * @param request - DeleteSheetRequest
     * @param headers - DeleteSheetHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DeleteSheetResponse
     */
    deleteSheetWithOptions(baseId: string, sheetIdOrName: string, request: DeleteSheetRequest, headers: DeleteSheetHeaders, runtime: $Util.RuntimeOptions): Promise<DeleteSheetResponse>;
    /**
     * 删除数据表
     *
     * @param request - DeleteSheetRequest
     * @returns DeleteSheetResponse
     */
    deleteSheet(baseId: string, sheetIdOrName: string, request: DeleteSheetRequest): Promise<DeleteSheetResponse>;
    /**
     * 获取所有字段
     *
     * @param request - GetAllFieldsRequest
     * @param headers - GetAllFieldsHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetAllFieldsResponse
     */
    getAllFieldsWithOptions(baseId: string, sheetIdOrName: string, request: GetAllFieldsRequest, headers: GetAllFieldsHeaders, runtime: $Util.RuntimeOptions): Promise<GetAllFieldsResponse>;
    /**
     * 获取所有字段
     *
     * @param request - GetAllFieldsRequest
     * @returns GetAllFieldsResponse
     */
    getAllFields(baseId: string, sheetIdOrName: string, request: GetAllFieldsRequest): Promise<GetAllFieldsResponse>;
    /**
     * 获取所有数据表
     *
     * @param request - GetAllSheetsRequest
     * @param headers - GetAllSheetsHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetAllSheetsResponse
     */
    getAllSheetsWithOptions(baseId: string, request: GetAllSheetsRequest, headers: GetAllSheetsHeaders, runtime: $Util.RuntimeOptions): Promise<GetAllSheetsResponse>;
    /**
     * 获取所有数据表
     *
     * @param request - GetAllSheetsRequest
     * @returns GetAllSheetsResponse
     */
    getAllSheets(baseId: string, request: GetAllSheetsRequest): Promise<GetAllSheetsResponse>;
    /**
     * 获取记录
     *
     * @param request - GetRecordRequest
     * @param headers - GetRecordHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetRecordResponse
     */
    getRecordWithOptions(baseId: string, sheetIdOrName: string, recordId: string, request: GetRecordRequest, headers: GetRecordHeaders, runtime: $Util.RuntimeOptions): Promise<GetRecordResponse>;
    /**
     * 获取记录
     *
     * @param request - GetRecordRequest
     * @returns GetRecordResponse
     */
    getRecord(baseId: string, sheetIdOrName: string, recordId: string, request: GetRecordRequest): Promise<GetRecordResponse>;
    /**
     * 获取多行记录
     *
     * @param request - GetRecordsRequest
     * @param headers - GetRecordsHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetRecordsResponse
     */
    getRecordsWithOptions(baseId: string, sheetIdOrName: string, request: GetRecordsRequest, headers: GetRecordsHeaders, runtime: $Util.RuntimeOptions): Promise<GetRecordsResponse>;
    /**
     * 获取多行记录
     *
     * @param request - GetRecordsRequest
     * @returns GetRecordsResponse
     */
    getRecords(baseId: string, sheetIdOrName: string, request: GetRecordsRequest): Promise<GetRecordsResponse>;
    /**
     * 获取数据表
     *
     * @param request - GetSheetRequest
     * @param headers - GetSheetHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetSheetResponse
     */
    getSheetWithOptions(baseId: string, sheetIdOrName: string, request: GetSheetRequest, headers: GetSheetHeaders, runtime: $Util.RuntimeOptions): Promise<GetSheetResponse>;
    /**
     * 获取数据表
     *
     * @param request - GetSheetRequest
     * @returns GetSheetResponse
     */
    getSheet(baseId: string, sheetIdOrName: string, request: GetSheetRequest): Promise<GetSheetResponse>;
    /**
     * 获取高级权限设置开关
     *
     * @param request - GetSwitchRequest
     * @param headers - GetSwitchHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetSwitchResponse
     */
    getSwitchWithOptions(baseId: string, request: GetSwitchRequest, headers: GetSwitchHeaders, runtime: $Util.RuntimeOptions): Promise<GetSwitchResponse>;
    /**
     * 获取高级权限设置开关
     *
     * @param request - GetSwitchRequest
     * @returns GetSwitchResponse
     */
    getSwitch(baseId: string, request: GetSwitchRequest): Promise<GetSwitchResponse>;
    /**
     * 获取指定用户的高级权限角色配置列表
     *
     * @param request - GetUserDocRolesRequest
     * @param headers - GetUserDocRolesHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetUserDocRolesResponse
     */
    getUserDocRolesWithOptions(baseId: string, request: GetUserDocRolesRequest, headers: GetUserDocRolesHeaders, runtime: $Util.RuntimeOptions): Promise<GetUserDocRolesResponse>;
    /**
     * 获取指定用户的高级权限角色配置列表
     *
     * @param request - GetUserDocRolesRequest
     * @returns GetUserDocRolesResponse
     */
    getUserDocRoles(baseId: string, request: GetUserDocRolesRequest): Promise<GetUserDocRolesResponse>;
    /**
     * 新增记录
     *
     * @param request - InsertRecordsRequest
     * @param headers - InsertRecordsHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns InsertRecordsResponse
     */
    insertRecordsWithOptions(baseId: string, sheetIdOrName: string, request: InsertRecordsRequest, headers: InsertRecordsHeaders, runtime: $Util.RuntimeOptions): Promise<InsertRecordsResponse>;
    /**
     * 新增记录
     *
     * @param request - InsertRecordsRequest
     * @returns InsertRecordsResponse
     */
    insertRecords(baseId: string, sheetIdOrName: string, request: InsertRecordsRequest): Promise<InsertRecordsResponse>;
    /**
     * 列出多行记录
     *
     * @param request - ListRecordsRequest
     * @param headers - ListRecordsHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ListRecordsResponse
     */
    listRecordsWithOptions(baseId: string, sheetIdOrName: string, request: ListRecordsRequest, headers: ListRecordsHeaders, runtime: $Util.RuntimeOptions): Promise<ListRecordsResponse>;
    /**
     * 列出多行记录
     *
     * @param request - ListRecordsRequest
     * @returns ListRecordsResponse
     */
    listRecords(baseId: string, sheetIdOrName: string, request: ListRecordsRequest): Promise<ListRecordsResponse>;
    /**
     * 富文本值预处理
     *
     * @param request - PrepareSetRichTextRequest
     * @param headers - PrepareSetRichTextHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns PrepareSetRichTextResponse
     */
    prepareSetRichTextWithOptions(baseId: string, request: PrepareSetRichTextRequest, headers: PrepareSetRichTextHeaders, runtime: $Util.RuntimeOptions): Promise<PrepareSetRichTextResponse>;
    /**
     * 富文本值预处理
     *
     * @param request - PrepareSetRichTextRequest
     * @returns PrepareSetRichTextResponse
     */
    prepareSetRichText(baseId: string, request: PrepareSetRichTextRequest): Promise<PrepareSetRichTextResponse>;
    /**
     * 查询文档所有角色和角色成员
     *
     * @param request - QueryDocAllRolesRequest
     * @param headers - QueryDocAllRolesHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryDocAllRolesResponse
     */
    queryDocAllRolesWithOptions(baseId: string, request: QueryDocAllRolesRequest, headers: QueryDocAllRolesHeaders, runtime: $Util.RuntimeOptions): Promise<QueryDocAllRolesResponse>;
    /**
     * 查询文档所有角色和角色成员
     *
     * @param request - QueryDocAllRolesRequest
     * @returns QueryDocAllRolesResponse
     */
    queryDocAllRoles(baseId: string, request: QueryDocAllRolesRequest): Promise<QueryDocAllRolesResponse>;
    /**
     * 重建角色成员
     *
     * @param request - RebuildRoleMembersRequest
     * @param headers - RebuildRoleMembersHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns RebuildRoleMembersResponse
     */
    rebuildRoleMembersWithOptions(baseId: string, request: RebuildRoleMembersRequest, headers: RebuildRoleMembersHeaders, runtime: $Util.RuntimeOptions): Promise<RebuildRoleMembersResponse>;
    /**
     * 重建角色成员
     *
     * @param request - RebuildRoleMembersRequest
     * @returns RebuildRoleMembersResponse
     */
    rebuildRoleMembers(baseId: string, request: RebuildRoleMembersRequest): Promise<RebuildRoleMembersResponse>;
    /**
     * 更新数据表字段
     *
     * @param request - UpdateFieldRequest
     * @param headers - UpdateFieldHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns UpdateFieldResponse
     */
    updateFieldWithOptions(baseId: string, sheetIdOrName: string, fieldIdOrName: string, request: UpdateFieldRequest, headers: UpdateFieldHeaders, runtime: $Util.RuntimeOptions): Promise<UpdateFieldResponse>;
    /**
     * 更新数据表字段
     *
     * @param request - UpdateFieldRequest
     * @returns UpdateFieldResponse
     */
    updateField(baseId: string, sheetIdOrName: string, fieldIdOrName: string, request: UpdateFieldRequest): Promise<UpdateFieldResponse>;
    /**
     * 更新数据表多行记录
     *
     * @param request - UpdateRecordsRequest
     * @param headers - UpdateRecordsHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns UpdateRecordsResponse
     */
    updateRecordsWithOptions(baseId: string, sheetIdOrName: string, request: UpdateRecordsRequest, headers: UpdateRecordsHeaders, runtime: $Util.RuntimeOptions): Promise<UpdateRecordsResponse>;
    /**
     * 更新数据表多行记录
     *
     * @param request - UpdateRecordsRequest
     * @returns UpdateRecordsResponse
     */
    updateRecords(baseId: string, sheetIdOrName: string, request: UpdateRecordsRequest): Promise<UpdateRecordsResponse>;
    /**
     * 更新角色
     *
     * @param request - UpdateRoleRequest
     * @param headers - UpdateRoleHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns UpdateRoleResponse
     */
    updateRoleWithOptions(baseId: string, request: UpdateRoleRequest, headers: UpdateRoleHeaders, runtime: $Util.RuntimeOptions): Promise<UpdateRoleResponse>;
    /**
     * 更新角色
     *
     * @param request - UpdateRoleRequest
     * @returns UpdateRoleResponse
     */
    updateRole(baseId: string, request: UpdateRoleRequest): Promise<UpdateRoleResponse>;
    /**
     * 更新数据表
     *
     * @param request - UpdateSheetRequest
     * @param headers - UpdateSheetHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns UpdateSheetResponse
     */
    updateSheetWithOptions(baseId: string, sheetIdOrName: string, request: UpdateSheetRequest, headers: UpdateSheetHeaders, runtime: $Util.RuntimeOptions): Promise<UpdateSheetResponse>;
    /**
     * 更新数据表
     *
     * @param request - UpdateSheetRequest
     * @returns UpdateSheetResponse
     */
    updateSheet(baseId: string, sheetIdOrName: string, request: UpdateSheetRequest): Promise<UpdateSheetResponse>;
}
